<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: CommonTest&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classCommonTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">CommonTest&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CommonTest&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classCommonTest__inherit__graph.svg" width="156" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CommonTest&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classCommonTest__coll__graph.svg" width="156" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a34d4de46bf01a38d305277a9b83c67a1"><td class="memItemLeft" align="right" valign="top"><a id="a34d4de46bf01a38d305277a9b83c67a1"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUpTestSuite</b> ()</td></tr>
<tr class="separator:a34d4de46bf01a38d305277a9b83c67a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ed5842244ccca6c3bee6eb9e3b8bc9b"><td class="memItemLeft" align="right" valign="top"><a id="a1ed5842244ccca6c3bee6eb9e3b8bc9b"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDownTestSuite</b> ()</td></tr>
<tr class="separator:a1ed5842244ccca6c3bee6eb9e3b8bc9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classtesting_1_1Test"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classtesting_1_1Test')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classtesting_1_1Test.html">testing::Test</a></td></tr>
<tr class="memitem:ae173b07a0fdd09fc1d417a2bb6cbdd76 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="ae173b07a0fdd09fc1d417a2bb6cbdd76"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUpTestSuite</b> ()</td></tr>
<tr class="separator:ae173b07a0fdd09fc1d417a2bb6cbdd76 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7704c8223ba28338a66ca2eaeba66383 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a7704c8223ba28338a66ca2eaeba66383"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDownTestSuite</b> ()</td></tr>
<tr class="separator:a7704c8223ba28338a66ca2eaeba66383 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af374706cbaf0ffc460f4fd04e7c150f1 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="af374706cbaf0ffc460f4fd04e7c150f1"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDownTestCase</b> ()</td></tr>
<tr class="separator:af374706cbaf0ffc460f4fd04e7c150f1 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ccbac42fee8c5b00b0bfe89b6c49d79 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a5ccbac42fee8c5b00b0bfe89b6c49d79"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUpTestCase</b> ()</td></tr>
<tr class="separator:a5ccbac42fee8c5b00b0bfe89b6c49d79 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e83604628ef542af888d631566ff60c inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a5e83604628ef542af888d631566ff60c"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasFatalFailure</b> ()</td></tr>
<tr class="separator:a5e83604628ef542af888d631566ff60c inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c00e8cc6fe10616b480bd54d2a426cb inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a8c00e8cc6fe10616b480bd54d2a426cb"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasNonfatalFailure</b> ()</td></tr>
<tr class="separator:a8c00e8cc6fe10616b480bd54d2a426cb inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f0ada5dbc9e772acb2b6cd0b1b300d7 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a7f0ada5dbc9e772acb2b6cd0b1b300d7"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsSkipped</b> ()</td></tr>
<tr class="separator:a7f0ada5dbc9e772acb2b6cd0b1b300d7 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a00be7dd0a6bfdc8d47a1b784623613 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a7a00be7dd0a6bfdc8d47a1b784623613"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasFailure</b> ()</td></tr>
<tr class="separator:a7a00be7dd0a6bfdc8d47a1b784623613 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1559ce1c83f56993b582650c091535a7 inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a1559ce1c83f56993b582650c091535a7"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>RecordProperty</b> (const std::string &amp;key, const std::string &amp;value)</td></tr>
<tr class="separator:a1559ce1c83f56993b582650c091535a7 inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a373da47b491b1e64e355d22d6ec99b5b inherit pub_static_methods_classtesting_1_1Test"><td class="memItemLeft" align="right" valign="top"><a id="a373da47b491b1e64e355d22d6ec99b5b"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>RecordProperty</b> (const std::string &amp;key, int value)</td></tr>
<tr class="separator:a373da47b491b1e64e355d22d6ec99b5b inherit pub_static_methods_classtesting_1_1Test"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr class="memitem:a6dfdcede6964887b9f4254a0e0478e37"><td class="memItemLeft" align="right" valign="top"><a id="a6dfdcede6964887b9f4254a0e0478e37"></a>
typedef std::vector&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Vector</b></td></tr>
<tr class="separator:a6dfdcede6964887b9f4254a0e0478e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62827e9d3064cddf4a8698747f1bd434"><td class="memItemLeft" align="right" valign="top"><a id="a62827e9d3064cddf4a8698747f1bd434"></a>
typedef std::set&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>IntSet</b></td></tr>
<tr class="separator:a62827e9d3064cddf4a8698747f1bd434"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a4d98ceceb09fb614ff53e59e0695ea91"><td class="memItemLeft" align="right" valign="top"><a id="a4d98ceceb09fb614ff53e59e0695ea91"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUp</b> () override</td></tr>
<tr class="separator:a4d98ceceb09fb614ff53e59e0695ea91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e851b64ff1f73cb79b4dbd1d39fd075"><td class="memItemLeft" align="right" valign="top"><a id="a5e851b64ff1f73cb79b4dbd1d39fd075"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDown</b> () override</td></tr>
<tr class="separator:a5e851b64ff1f73cb79b4dbd1d39fd075"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ae59c4abcb833625a7baeb2048531ebec"><td class="memItemLeft" align="right" valign="top"><a id="ae59c4abcb833625a7baeb2048531ebec"></a>
T&#160;</td><td class="memItemRight" valign="bottom"><b>value_</b></td></tr>
<tr class="separator:ae59c4abcb833625a7baeb2048531ebec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:a52368ce1e65a865db9bdccbcc2cedaac"><td class="memItemLeft" align="right" valign="top"><a id="a52368ce1e65a865db9bdccbcc2cedaac"></a>
static T *&#160;</td><td class="memItemRight" valign="bottom"><b>shared_</b> = nullptr</td></tr>
<tr class="separator:a52368ce1e65a865db9bdccbcc2cedaac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest-typed-test_test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classCommonTest.html">CommonTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
